cdac.medinfo.sdk.hl7282.baselibs.segments

## Class DG1

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.DG1

- All Implemented Interfaces:
    ISegment

      public class DG1
      extends Segment

  DG1 - Diagnosis Segment.

  The DG1 segment contains patient diagnosis information of various types, for example, admitting, primary, etc. The DG1 segment is used to send multiple diagnoses (for example, for medical records encoding).

  Represents an HL7 DG1 message segment. This segment has the following fields:

  DG1-1: Set ID - DG1 (SI)Required
  DG1-2: Diagnosis Coding Method (ID)Withdrawn
  DG1-3: Diagnosis Code - DG1 (CWE)Optional
  DG1-4: Diagnosis Description (ST)Withdrawn
  DG1-5: Diagnosis Date/Time (DTM)Optional
  DG1-6: Diagnosis Type (CWE)Required
  DG1-7: Major Diagnostic Category (CWE)Withdrawn
  DG1-8: Diagnostic Related Group (CWE)Withdrawn
  DG1-9: DRG Approval Indicator (ID)Withdrawn
  DG1-10: DRG Grouper Review Code (IS)Withdrawn
  DG1-11: Outlier Type (CWE)Withdrawn
  DG1-12: Outlier Days (NM)Withdrawn
  DG1-13: Outlier Cost (CP)Withdrawn
  DG1-14: Grouper Version And Type (ST)Withdrawn
  DG1-15: Diagnosis Priority (NM)Optional
  DG1-16: Diagnosing Clinician (XCN)Optional
  DG1-17: Diagnosis Classification (CWE)Optional
  DG1-18: Confidential Indicator (ID)Optional
  DG1-19: Attestation Date/Time (DTM)Optional
  DG1-20: Diagnosis Identifier (EI)Conditional
  DG1-21: Diagnosis Action Code (ID)Conditional
  DG1-22: Parent Diagnosis (EI)Conditional
  DG1-23: DRG CCL Value Code (CWE)Optional
  DG1-24: DRG Grouping Usage (ID)Optional
  DG1-25: DRG Diagnosis Determination Status (CWE)Optional
  DG1-26: Present On Admission (POA) Indicator (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DG1()` Constructs the DG1 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDiagnosingClinician(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Diagnosing Clinician.
    `void` | `addDiagnosingClinician(XCN DiagnosingClinician)` Set the Diagnosing Clinician.
    `DTM` | `getAttestationDateTime()` Retrieves the Attestation Date Time.
    `ID` | `getConfidentialIndicator()` Retrieves the Confidential Indicator.
    `ISingleCollection<XCN>` | `getDiagnosingClinician()` Retrieves the Diagnosing Clinician.
    `ID` | `getDiagnosisActionCode()` Retrieves the Diagnosis Action Code.
    `CWE` | `getDiagnosisClassification()` Retrieves the Diagnosis Classification.
    `CWE` | `getDiagnosisCode_DG1()` Retrieves the Diagnosis Code DG1.
    `DTM` | `getDiagnosisDateTime()` Retrieves the Diagnosis Date Time.
    `EI` | `getDiagnosisIdentifier()` Retrieves the Diagnosis Identifier.
    `NM` | `getDiagnosisPriority()` Retrieves the Diagnosis Priority.
    `CWE` | `getDiagnosisType()` Retrieves the Diagnosis Type.
    `CWE` | `getDRGCCLValueCode()` Retrieves the DRG CCL Value Code.
    `CWE` | `getDRGDiagnosisDeterminationStatus()` Retrieves the DRG Diagnosis Determination Status.
    `ID` | `getDRGGroupingUsage()` Retrieves the DRG Grouping Usage.
    `EI` | `getParentDiagnosis()` Retrieves the Parent Diagnosis.
    `CWE` | `getPresentOnAdmissionPOAIndicator()` Retrieves the Present On Admission (POA) Indicator.
    `SI` | `getSetID_DG1()` Retrieves the Set ID DG1.
    `void` | `setAttestationDateTime(DTM attestationDateTime)` Set the Attestation Date Time.
    `void` | `setAttestationDateTime(java.lang.String strTime)` Set the Attestation Date Time.
    `void` | `setConfidentialIndicator(ID objconfidentialIndicator)` Set the Confidential Indicator.
    `void` | `setConfidentialIndicator(java.lang.String strConfidentialIndicator)` Set the Confidential Indicator.
    `void` | `setDiagnosingClinician(ISingleCollection<XCN> objDiagnosingClinicianList)` Set the Diagnosing Clinician list.
    `void` | `setDiagnosisActionCode(ID objdiagnosisActionCode)` Set the Diagnosis Action Code.
    `void` | `setDiagnosisActionCode(java.lang.String strDiagnosisActionCode)` Set the Diagnosis Action Code.
    `void` | `setDiagnosisClassification(CWE objdiagnosisClassification)` Set the Diagnosis Classification.
    `void` | `setDiagnosisClassification(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Diagnosis Classification.
    `void` | `setDiagnosisCode_DG1(CWE diagnosisCode_DG1)` Set the Diagnosis Code DG1.
    `void` | `setDiagnosisCode_DG1(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Diagnosis Code DG1.
    `void` | `setDiagnosisDateTime(DTM diagnosisDateTime)` Set the Diagnosis Date Time.
    `void` | `setDiagnosisDateTime(java.lang.String strTime)` Set the Diagnosis Date Time.
    `void` | `setDiagnosisIdentifier(EI diagnosisIdentifier)` Set the Diagnosis Identifier.
    `void` | `setDiagnosisIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Diagnosis Identifier.
    `void` | `setDiagnosisPriority(NM objdiagnosisPriority)` Set the Diagnosis Priority.
    `void` | `setDiagnosisPriority(java.lang.String strDiagnosisPriority)` Set the Diagnosis Priority.
    `void` | `setDiagnosisType(CWE objdiagnosisType)` Set the Diagnosis Type.
    `void` | `setDiagnosisType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Diagnosis Type.
    `void` | `setDRGCCLValueCode(CWE objDRGCCLValueCode)` Set the DRG CCL Value Code.
    `void` | `setDRGCCLValueCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the DRG CCL Value Code.
    `void` | `setDRGDiagnosisDeterminationStatus(CWE objDRGDiagnosisDeterminationStatus)` Set the DRG Diagnosis Determination Status.
    `void` | `setDRGDiagnosisDeterminationStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the DRG Diagnosis Determination Status.
    `void` | `setDRGGroupingUsage(ID objDRGGroupingUsage)` Set the DRG Grouping Usage.
    `void` | `setDRGGroupingUsage(java.lang.String strDRGGroupingUsage)` Set the DRG Grouping Usage.
    `void` | `setParentDiagnosis(EI objParentDiagnosis)` Set the Parent Diagnosis.
    `void` | `setParentDiagnosis(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Parent Diagnosis.
    `void` | `setPresentOnAdmissionPOAIndicator(CWE objPresentOnAdmissionPOAIndicator)` Set the Present On Admission (POA) Indicator.
    `void` | `setPresentOnAdmissionPOAIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Present On Admission (POA) Indicator.
    `void` | `setSetID_DG1(SI objsetID_DG1)` Set the Set ID DG1.
    `void` | `setSetID_DG1(java.lang.String strSetID_DG1)` Set the Set ID DG1.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DG1

          public DG1()

      Constructs the DG1 segment.

  - ### Method Detail

    - #### getAttestationDateTime

          public DTM getAttestationDateTime()

      Retrieves the Attestation Date Time. This field contains the time stamp that indicates the date and time of the signed attestation.
      Returns:
        DTM - attestationDateTime

    - #### getConfidentialIndicator

          public ID getConfidentialIndicator()

      Retrieves the Confidential Indicator. This field indicates whether the diagnosis is confidential or not.
      Returns:
        String - confidentialIndicator

    - #### getDiagnosingClinician

          public ISingleCollection<XCN> getDiagnosingClinician()

      Retrieves the Diagnosing Clinician. This field contains the individual responsible for generating the diagnosis information. Multiple names and identifiers for the same person may be send in this field, not multiple diagnosing clinicians.
      Returns:
        ISingleCollection - diagnosingClinician

    - #### getDiagnosisActionCode

          public ID getDiagnosisActionCode()

      Retrieves the Diagnosis Action Code. This field define the action to be taken for this diagnosis.
      Returns:
        String - diagnosisActionCode

    - #### getDiagnosisClassification

          public CWE getDiagnosisClassification()

      Retrieves the Diagnosis Classification. This field indicates whether the patient information is for a diagnosis or a non-diagnosis code.
      Returns:
        String - diagnosisClassification

    - #### getDiagnosisCode_DG1

          public CWE getDiagnosisCode_DG1()

      Retrieves the Diagnosis Code DG1. This field use for compatibility with clinical and ancillary systems.
      Returns:
        CWE - diagnosisCode_DG1

    - #### getDiagnosisDateTime

          public DTM getDiagnosisDateTime()

      Retrieves the Diagnosis Date Time. This field contains the date/time when the diagnosis is determine.
      Returns:
        DTM - diagnosisDateTime

    - #### getDiagnosisIdentifier

          public EI getDiagnosisIdentifier()

      Retrieves the Diagnosis Identifier. This field contains a value that uniquely identify a single diagnosis for an encounter. It is unique across all segments and messages for an encounter.
      Returns:
        EI - diagnosisIdentifier

    - #### getDiagnosisPriority

          public NM getDiagnosisPriority()

      Retrieves the Diagnosis Priority. This field contains the number that identify the significance or priority of the diagnosis code.
      Returns:
        String - diagnosisPriority

    - #### getDiagnosisType

          public CWE getDiagnosisType()

      Retrieves the Diagnosis Type. This field contains a code that identify the type of diagnosis sent.
      Returns:
        String - diagnosisType

    - #### getSetID_DG1

          public SI getSetID_DG1()

      Retrieves the Set ID DG1. This field contains the number that identify this transaction.
      Returns:
        String - setID_DG1

    - #### getParentDiagnosis

          public EI getParentDiagnosis()

      Retrieves the Parent Diagnosis. This field contains the entity identifier for the parent diagnosis
      Returns:
        EI - ParentDiagnosis

    - #### getDRGCCLValueCode

          public CWE getDRGCCLValueCode()

      Retrieves the DRG CCL Value Code. This field indicates the CCL value for the determined DRG for this diagnosis.
      Returns:
        CWE - DRGCCLValueCode

    - #### getDRGGroupingUsage

          public ID getDRGGroupingUsage()

      Retrieves the DRG Grouping Usage. This field identifies whether this particular diagnosis has been used for the DRG determination.
      Returns:
        ID - DRGGroupingUsage

    - #### getDRGDiagnosisDeterminationStatus

          public CWE getDRGDiagnosisDeterminationStatus()

      Retrieves the DRG Diagnosis Determination Status. This field contains the status of this particular diagnosis for the DRG determination.
      Returns:
        CWE - DRGDiagnosisDeterminationStatus

    - #### getPresentOnAdmissionPOAIndicator

          public CWE getPresentOnAdmissionPOAIndicator()

      Retrieves the Present On Admission (POA) Indicator. This field contains the present on admission indicator for this particular diagnosis.
      Returns:
        CWE - PresentOnAdmissionPOAIndicator

    - #### setAttestationDateTime

          public void setAttestationDateTime(java.lang.String strTime)

      Set the Attestation Date Time. This field contains the time stamp that indicates the date and time of the signed attestation.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setAttestationDateTime

          public void setAttestationDateTime(DTM attestationDateTime)

      Set the Attestation Date Time. This field contains the time stamp that indicates the date and time of the signed attestation.
      Parameters:
        `attestationDateTime` - value of Attestation Date Time.

    - #### setConfidentialIndicator

          public void setConfidentialIndicator(java.lang.String strConfidentialIndicator)

      Set the Confidential Indicator. This field indicates whether the diagnosis is confidential or not.
      Parameters:
        `strConfidentialIndicator` - Specifies whether the diagnosis is confidential.

    - #### setConfidentialIndicator

          public void setConfidentialIndicator(ID objconfidentialIndicator)

      Set the Confidential Indicator. This field indicates whether the diagnosis is confidential or not.
      Parameters:
        `objconfidentialIndicator` - Specifies whether the diagnosis is confidential.

    - #### addDiagnosingClinician

          public void addDiagnosingClinician(java.lang.String strIDNumber,
                                    FN objFamilyName,
                                    java.lang.String strGivenName,
                                    java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                    java.lang.String strSuffix,
                                    java.lang.String strPrefix,
                                    CWE objSourceTable,
                                    HD objAssigningAuthority,
                                    java.lang.String strNameTypeCode,
                                    java.lang.String strIdentifierCheckDigit,
                                    java.lang.String strCheckDigitScheme,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strNameRepresentationCode,
                                    CWE objNameContext,
                                    java.lang.String strNameAssemblyOrder,
                                    java.lang.String strEffectiveDate,
                                    java.lang.String strExpirationDate,
                                    java.lang.String strProfessionalSuffix,
                                    CWE objAssigningJurisdiction,
                                    CWE objAssigningAgencyOrDepratment,
                                    java.lang.String strSecurityCheck,
                                    java.lang.String strSecurityCheckScheme)

      Set the Diagnosing Clinician. This field contains the individual responsible for generating the diagnosis information. Multiple names and identifiers for the same person may be send in this field, not multiple diagnosing clinicians.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addDiagnosingClinician

          public void addDiagnosingClinician(XCN DiagnosingClinician)

      Set the Diagnosing Clinician. This field contains the individual responsible for generating the diagnosis information. Multiple names and identifiers for the same person may be send in this field, not multiple diagnosing clinicians.
      Parameters:
        `DiagnosingClinician` - Diagnosing Clinician.

    - #### setDiagnosingClinician

          public void setDiagnosingClinician(ISingleCollection<XCN> objDiagnosingClinicianList)

      Set the Diagnosing Clinician list. This field define the action to be taken for this diagnosis.
      Parameters:
        `objDiagnosingClinicianList` - List of Diagnosing Clinician

    - #### setDiagnosisActionCode

          public void setDiagnosisActionCode(java.lang.String strDiagnosisActionCode)

      Set the Diagnosis Action Code. This field define the action to be taken for this diagnosis.
      Parameters:
        `strDiagnosisActionCode` - Specifies the action to be taken for this diagnosis.[Refer to HL7 Table 0206]. Suggested Values A,D,U.

    - #### setDiagnosisActionCode

          public void setDiagnosisActionCode(ID objdiagnosisActionCode)

      Set the Diagnosis Action Code. This field define the action to be taken for this diagnosis.
      Parameters:
        `objdiagnosisActionCode` - Specifies the action to be taken for this diagnosis.[Refer to HL7 Table 0206]. Suggested Values A,D,U.

    - #### setDiagnosisClassification

          public void setDiagnosisClassification(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Diagnosis Classification. This field indicates whether the patient information is for a diagnosis or a non-diagnosis code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDiagnosisClassification

          public void setDiagnosisClassification(CWE objdiagnosisClassification)

      Set the Diagnosis Classification. This field indicates whether the patient information is for a diagnosis or a non-diagnosis code.
      Parameters:
        `objdiagnosisClassification` - Specifies whether the patient information is for a diagnosis or a non-diagnosis code. [Refer to User-defined Table 0228 - Diagnosis Classification].Suggested Values C,D,M,O,R,S,T,I

    - #### setDiagnosisCode_DG1

          public void setDiagnosisCode_DG1(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Diagnosis Code DG1. This field use for compatibility with clinical and ancillary systems.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDiagnosisCode_DG1

          public void setDiagnosisCode_DG1(CWE diagnosisCode_DG1)

      Set the Diagnosis Code DG1. This field use for compatibility with clinical and ancillary systems.
      Parameters:
        `diagnosisCode_DG1` - Diagnosis Code DG1.

    - #### setDiagnosisDateTime

          public void setDiagnosisDateTime(java.lang.String strTime)

      Set the Diagnosis Date Time. This field contains the date/time when the diagnosis is determine.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDiagnosisDateTime

          public void setDiagnosisDateTime(DTM diagnosisDateTime)

      Set the Diagnosis Date Time. This field contains the date/time when the diagnosis is determine.
      Parameters:
        `diagnosisDateTime` - Diagnosis Date Time.

    - #### setDiagnosisIdentifier

          public void setDiagnosisIdentifier(java.lang.String strEntityIdentifier,
                                    java.lang.String strNamespaceId,
                                    java.lang.String strUniversalId,
                                    java.lang.String strUniversalIdType)

      Set the Diagnosis Identifier. This field contains a value that uniquely identify a single diagnosis for an encounter. It is unique across all segments and messages for an encounter.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setDiagnosisIdentifier

          public void setDiagnosisIdentifier(EI diagnosisIdentifier)

      Set the Diagnosis Identifier. This field contains a value that uniquely identify a single diagnosis for an encounter. It is unique across all segments and messages for an encounter.
      Parameters:
        `diagnosisIdentifier` - Diagnosis Identifier.

    - #### setDiagnosisPriority

          public void setDiagnosisPriority(java.lang.String strDiagnosisPriority)

      Set the Diagnosis Priority. This field contains the number that identify the significance or priority of the diagnosis code.
      Parameters:
        `strDiagnosisPriority` - This field contains the number that identifies the significance or priority of the diagnosis code.[Refer to HL7 Table 0359].Suggested Values 0,1,2 . . .

    - #### setDiagnosisPriority

          public void setDiagnosisPriority(NM objdiagnosisPriority)

      Set the Diagnosis Priority. This field contains the number that identify the significance or priority of the diagnosis code.
      Parameters:
        `objdiagnosisPriority` - This field contains the number that identifies the significance or priority of the diagnosis code.[Refer to HL7 Table 0359].Suggested Values 0,1,2 . . .

    - #### setDiagnosisType

          public void setDiagnosisType(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Diagnosis Type. This field contains a code that identify the type of diagnosis sent.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDiagnosisType

          public void setDiagnosisType(CWE objdiagnosisType)

      Set the Diagnosis Type. This field contains a code that identify the type of diagnosis sent.
      Parameters:
        `objdiagnosisType` - This field contains a code that identifies the type of diagnosis being sent. [Refer to User-defined Table 0052 - Diagnosis Type] Sugested Values A,W,F.

    - #### setSetID_DG1

          public void setSetID_DG1(java.lang.String strSetID_DG1)

      Set the Set ID DG1. This field contains the number that identify this transaction.
      Parameters:
        `strSetID_DG1` - This field contains the number that identifies transaction of DG1 segment.

    - #### setSetID_DG1

          public void setSetID_DG1(SI objsetID_DG1)

      Set the Set ID DG1. This field contains the number that identify this transaction.
      Parameters:
        `objsetID_DG1` - This field contains the number that identifies transaction of DG1 segment.

    - #### setParentDiagnosis

          public void setParentDiagnosis(java.lang.String strEntityIdentifier,
                                java.lang.String strNamespaceId,
                                java.lang.String strUniversalId,
                                java.lang.String strUniversalIdType)

      Set the Parent Diagnosis. This field contains the entity identifier for the parent diagnosis
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setParentDiagnosis

          public void setParentDiagnosis(EI objParentDiagnosis)

      Set the Parent Diagnosis. This field contains the entity identifier for the parent diagnosis
      Parameters:
        `objParentDiagnosis` - Object of Parent Diagnosis.

    - #### setDRGCCLValueCode

          public void setDRGCCLValueCode(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the DRG CCL Value Code. This field indicates the CCL value for the determined DRG for this diagnosis.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDRGCCLValueCode

          public void setDRGCCLValueCode(CWE objDRGCCLValueCode)

      Set the DRG CCL Value Code. This field indicates the CCL value for the determined DRG for this diagnosis.
      Parameters:
        `objDRGCCLValueCode` - Object of DRG CCL Value Code.

    - #### setDRGGroupingUsage

          public void setDRGGroupingUsage(java.lang.String strDRGGroupingUsage)

      Set the DRG Grouping Usage. This field identifies whether this particular diagnosis has been used for the DRG determination.
      Parameters:
        `strDRGGroupingUsage` - Y Delivery was by Caesarian Section,N Delivery was not by Caesarian Section.

    - #### setDRGGroupingUsage

          public void setDRGGroupingUsage(ID objDRGGroupingUsage)

      Set the DRG Grouping Usage. This field identifies whether this particular diagnosis has been used for the DRG determination.
      Parameters:
        `objDRGGroupingUsage` - Y Delivery was by Caesarian Section,N Delivery was not by Caesarian Section.

    - #### setDRGDiagnosisDeterminationStatus

          public void setDRGDiagnosisDeterminationStatus(java.lang.String strIdentifier,
                                                java.lang.String strText,
                                                java.lang.String strNameOfCodingSystem,
                                                java.lang.String strAlternateIdentifier,
                                                java.lang.String strAlternateText,
                                                java.lang.String strNameOfAlternateCodingSystem,
                                                java.lang.String strCodingSystemVersionID,
                                                java.lang.String strAlternateCodingSystemVersionId,
                                                java.lang.String strOriginalText,
                                                java.lang.String strSecondAlternateIdentifier,
                                                java.lang.String strSecondAlternateText,
                                                java.lang.String strNameofSecondAlternateCodingSystem,
                                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                                java.lang.String strCodingSystemOID,
                                                java.lang.String strValueSetOID,
                                                java.lang.String strValueSetVersionID,
                                                java.lang.String strAlternateCodingSystemOID,
                                                java.lang.String strAlternateValueSetOID,
                                                java.lang.String strAlternateValueSetVersionID,
                                                java.lang.String strSecondAlternateCodingSystemOID,
                                                java.lang.String strSecondAlternateValueSetOID,
                                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the DRG Diagnosis Determination Status. This field contains the status of this particular diagnosis for the DRG determination.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDRGDiagnosisDeterminationStatus

          public void setDRGDiagnosisDeterminationStatus(CWE objDRGDiagnosisDeterminationStatus)

      Set the DRG Diagnosis Determination Status. This field contains the status of this particular diagnosis for the DRG determination.
      Parameters:
        `objDRGDiagnosisDeterminationStatus` -

    - #### setPresentOnAdmissionPOAIndicator

          public void setPresentOnAdmissionPOAIndicator(java.lang.String strIdentifier,
                                               java.lang.String strText,
                                               java.lang.String strNameOfCodingSystem,
                                               java.lang.String strAlternateIdentifier,
                                               java.lang.String strAlternateText,
                                               java.lang.String strNameOfAlternateCodingSystem,
                                               java.lang.String strCodingSystemVersionID,
                                               java.lang.String strAlternateCodingSystemVersionId,
                                               java.lang.String strOriginalText,
                                               java.lang.String strSecondAlternateIdentifier,
                                               java.lang.String strSecondAlternateText,
                                               java.lang.String strNameofSecondAlternateCodingSystem,
                                               java.lang.String strSecondAlternateCodingSystemVersionID,
                                               java.lang.String strCodingSystemOID,
                                               java.lang.String strValueSetOID,
                                               java.lang.String strValueSetVersionID,
                                               java.lang.String strAlternateCodingSystemOID,
                                               java.lang.String strAlternateValueSetOID,
                                               java.lang.String strAlternateValueSetVersionID,
                                               java.lang.String strSecondAlternateCodingSystemOID,
                                               java.lang.String strSecondAlternateValueSetOID,
                                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Present On Admission (POA) Indicator. This field contains the present on admission indicator for this particular diagnosis.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPresentOnAdmissionPOAIndicator

          public void setPresentOnAdmissionPOAIndicator(CWE objPresentOnAdmissionPOAIndicator)

      Set the Present On Admission (POA) Indicator. This field contains the present on admission indicator for this particular diagnosis.
      Parameters:
        `objPresentOnAdmissionPOAIndicator` -

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Thrown when Segment Validation Fails.